Page MenuHomePhabricator

mediawiki.ui Quiet progressive/destructive buttons receive wrong visual treatment
Closed, ResolvedPublic

Description

Currently mediawiki.ui features quiet progressive/destructive buttons, similar to OOUI, but their styles are wrong.

Those buttons are meant to be in places where a primary progressive or constructive treatment is not the right choice, because two equal weight buttons are shown, originated in T28256#3228695

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a project: UI-Standardization. · View Herald TranscriptNov 21 2018, 10:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 475247 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] mediawiki.ui: Fix quiet button styling and remove mixins

https://gerrit.wikimedia.org/r/475247

Change 475247 merged by jenkins-bot:
[mediawiki/core@master] mediawiki.ui: Fix quiet button styling and remove mixins

https://gerrit.wikimedia.org/r/475247

Volker_E triaged this task as Normal priority.Feb 5 2019, 5:35 AM
Volker_E moved this task from Backlog to Doing… on the UI-Standardization-Kanban board.
Volker_E closed this task as Resolved.Feb 13 2019, 8:04 PM
Volker_E claimed this task.
Volker_E raised the priority of this task from Normal to Needs Triage.
Volker_E triaged this task as Normal priority.
Volker_E moved this task from Doing… to Done on the UI-Standardization-Kanban board.
Volker_E removed a project: Patch-For-Review.